Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class Decompressor

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.image.CodecComponent
                        |
                        +--quicktime.std.image.Decompressor

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class Decompressor
extends CodecComponent
implements quicktime.jdirect.QuickTimeLib

Corresponds to the Decompressor component type Refer to DecompressorComponent in QuickTime

Fields inherited from class quicktime.std.image.CodecComponent
`anyCodec, bestCompressionCodec, bestFidelityCodec, bestSpeedCodec`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static Decompressor` | `findCodec(int cType, CodecComponent specCodec)` determines which of the installed decompressors has been chosen to field requests made using one of the special compressor identifiers.

Methods inherited from class quicktime.std.image.CodecComponent
`fromSpatialSettings`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### findCodec

    public static Decompressor findCodec(int cType,
                                         CodecComponent specCodec)
                                  throws StdQTException

  determines which of the installed decompressors has been chosen to field requests made using one of the special compressor identifiers.
  see QuickTime::FindCodec

  Parameters:
    `cType` - specifies the CodecComponent class.
    `specCodec` - contains a special identifier value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD